<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>upcloud-base-gsp</artifactId>
        <groupId>com.prolog.upcloud</groupId>
        <version>1.0.0.QINGNIU-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>upcloud-base-gsp-service</artifactId>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-gsp-facade</artifactId>
        </dependency>

        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-fx-starter</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>io.netty</groupId>
                    <artifactId>netty-all</artifactId>
                </exclusion>
                <!--                <exclusion>-->
                <!--                    <groupId>cn.easyproject</groupId>-->
                <!--                    <artifactId>ojdbc7</artifactId>-->
                <!--                </exclusion>-->
                <exclusion>
                    <groupId>com.aliyun.edb</groupId>
                    <artifactId>edb-driver</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.49</version>
            <!--            <scope>test</scope>-->
        </dependency>
        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-bz-common</artifactId>
            <version>1.0.0.beta</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>item-facade</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>base-chain-facade</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>wh-facade</artifactId>
            <version>3.0.1-SNAPSHOT</version>
            <exclusions>
                <!--                <exclusion>-->
                <!--                    <groupId>cn.easyproject</groupId>-->
                <!--                    <artifactId>ojdbc7</artifactId>-->
                <!--                </exclusion>-->
                <exclusion>
                    <groupId>com.aliyun.edb</groupId>
                    <artifactId>edb-driver</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>strategy-facade</artifactId>
            <version>${project.version}</version>
            <!--            <version>${project.version}</version>-->
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-inventory-facade</artifactId>
            <version>${project.version}</version>
            <!--            <version>${project.version}</version>-->
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-wh-operate-facade</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.cs</groupId>
            <artifactId>data-exchange-client</artifactId>
            <version>1.0.0.release</version>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-all</artifactId>
            <version>1.10.19</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-api</artifactId>
            <version>5.7.1</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.3.1.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <!-- <classifier>exec</classifier> -->
                    <executable>true</executable>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>


</project>